Skip to content

Get screening results

GET /api/Subjects/{subjectId}/backgroundCheckResults

Send your private API key in the X-Api-Key header. Keep it on your server.

Returns 400 if there is no completed screening or a screening is in progress. See Results and reports.

Examples use illustrative values. Set FERRETLY_API_KEY in your server environment for JavaScript, Python, and C#. Replace sample IDs, URLs, and profile values before use.

Terminal window
curl --fail -sS -X GET "https://api.ferretly.com/api/Subjects/11111111-1111-4111-8111-111111111111/backgroundCheckResults" \
-H "X-Api-Key: YOUR_API_KEY" \
-H "Accept: application/json"
NameInRequiredTypeDescription
subjectIdpathYesstring (uuid)

Success

Illustrative, shortened HTTP 200 response. Optional fields can be absent or null.

{
"initiated": "2026-10-14T12:00:00Z",
"subjectId": "11111111-1111-4111-8111-111111111111",
"subjectExternalSystemId": "candidate-001",
"flaggedPosts": 0,
"flagCount": 0,
"totalPosts": 12,
"riskMakeups": [],
"channelVolumes": [],
"score": 0,
"totalSentiment": 0.2,
"isRedressed": false
}
Response properties
PropertyTypeDescription
initiatedstring (date-time)When the background check was initiated
subjectIdstring (uuid)The Ferretly subject ID
subjectExternalSystemIdstringThe subject’s external system ID (if provided). Nullable.
riskMakeupsarray of RiskMakeupRisk makeups: count of posts flagged for each risk Nullable. Read-only response field.
channelVolumesarray of ChannelVolumeCount of posts found per-platform Nullable.
flaggedPostsinteger (int32)Count of flagged posts
flagCountinteger (int32)Total number of flags found in Not necessarily the same value as FlaggedPosts
totalPostsinteger (int32)Count of posts found Read-only response field.
webSearchPostsinteger (int32)Count of web search posts found
scoreinteger (int32)Calculated score
totalSentimentnumber (double)The total sentiment (sum of sentiment from all posts)
finishedScrapingstring (date-time)When the post fetcher completed fetching the last post Nullable.
runStatusRunStatusEnum
isRedressedbooleanA boolean indicating whether this subject has been “marked as redressed”
lastMarkAsRedressedOnstring (date-time)The most recent time the subject was “marked as redressed”. Will be null if the subject has not been “marked as redressed” Nullable.
postSummaryTextstringA string that represents AI-generated text that summarizes the subject’s most-recent flagged posts Nullable.
riskMakeups properties
PropertyTypeDescription
riskNamestringThe name of the behavior Nullable.
countinteger (int32)Count of the number of posts flagged for this behavior
channelVolumes properties
PropertyTypeDescription
channelNamestringNullable.
countinteger (int32)
flaggedPostsinteger (int32)Nullable.